
# Set to some text value if you want templated config files
# to contain a custom banner at the top of the written file
default['openstack']['placement']['custom_template_banner'] = '
# This file is automatically generated by Chef
# Any changes will be overwritten
'

default['openstack']['placement']['user'] = 'placement'
default['openstack']['placement']['group'] = 'placement'

# Logging stuff
default['openstack']['placement']['syslog']['use'] = false

# SSL settings
default['openstack']['placement']['ssl']['enabled'] = false
default['openstack']['placement']['ssl']['certfile'] = ''
default['openstack']['placement']['ssl']['chainfile'] = ''
default['openstack']['placement']['ssl']['keyfile'] = ''
default['openstack']['placement']['ssl']['ca_certs_path'] = ''
default['openstack']['placement']['ssl']['cert_required'] = false
default['openstack']['placement']['ssl']['protocol'] = ''
default['openstack']['placement']['ssl']['ciphers'] = ''

# Apache wsgi settings for vhost
# https://docs.openstack.org/releasenotes/nova/stein.html#known-issues
default['openstack']['placement']['threads'] = 1
default['openstack']['placement']['processes'] = 2

# Platform specific settings
case node['platform_family']
when 'rhel' # :pragma-foodcritic: ~FC024 - won't fix this
  default['openstack']['placement']['platform'] = {
    'placement_packages' => ['openstack-placement-api'],
    'placement_service' => 'openstack-placement-api',
  }
when 'debian'
  default['openstack']['placement']['platform'] = {
    'placement_packages' => %w(python3-placement),
    'placement_service' => 'placement-api',
  }
end

# Array of options for `api-paste.ini` (e.g. ['option1=value1', ...])
default['openstack']['placement']['misc_paste'] = nil

# ****************** OpenStack Compute Endpoints ******************************

%w(public internal).each do |type|
  # The OpenStack Placement API endpoint
  default['openstack']['endpoints'][type]['placement-api']['port'] = '8778'
  default['openstack']['endpoints'][type]['placement-api']['path'] = ''
  default['openstack']['endpoints'][type]['placement-api']['host'] = '127.0.0.1'
end
default['openstack']['bind_service']['all']['placement-api']['port'] = '8778'
default['openstack']['bind_service']['all']['placement-api']['host'] = '127.0.0.1'
